Subject: bug#9777: closed (Re: bug#9777: CUT)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Oct 2011 16:25:02 +0000

Your bug report

#9777: CUT

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9777: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9777
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9777: CUT
From: Eric Blake <[email-masked]>
To: Marina Lorente Evangelio <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Oct 2011 10:23:10 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 9777 notabug
thanks

On 10/17/2011 08:30 AM, Marina Lorente Evangelio wrote:
> Hello, as i am not sure if you know spanish i will write in English.
>
> I am a studente os Telecommunications and I am trying to use cut in a
> shell that become this
> Nadal,Rafa
>
> into this:
> Rafa Nadal
>
> But I have not clear the use of cut.
>
> Please write to me (in spanish if possible)and try to help me, I would
> be very pleased with you. Thank's a lot!

Sorry that I can't reply in Spanish.  Meanwhile, you are asking for 
something that cut cannot do.  Per POSIX, cut may not reorder fields; if 
you want to reorder fields, then you have to use a program designed for 
that, such as awk:

$ echo 'Nadal,Rafa' | awk -F, '{print $2 " " $1}'
Rafa Nadal

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Subject: CUT
From: Marina Lorente Evangelio <[email-masked]>
To: [email-masked]
Date: Mon, 17 Oct 2011 16:30:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, as i am not sure if you know spanish i will write in English.

I am a studente os Telecommunications and I am trying to use cut in a  
shell that become this
Nadal,Rafa

into this:
Rafa Nadal

But I have not clear the use of cut.

Please write to me (in spanish if possible)and try to help me, I would  
be very pleased with you. Thank's a lot!